Skip to content

PaymentMethod

Request

Path Parameters

sid
string
Required
EVO Cloud assigned store number, unique identifier for store.

Header Parameters

Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message. - Usage Instruction 1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512 The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.

Request Body schema

allowAuthentication
boolean
This is to indicate if this Payment or Payment Method needs to conduct authentication - Usage instruction: 1. In EVO Cloud, each merchant is configured with Non-Authentication, Optional-Authentication and Must-Authentication. When store is configured Optional-Authentication, this field is applied. 2. This filed is used in POST Payment request and Payment Method request, if true, EVO cloud will conduct additional authentication for this transaction or tokenize. 3. If not present, means default value=false, EVO Cloud will not conduct authentication process for this transaction 4. Only used when paymentMethod.type=card 5. In Payment request, when paymentMethod.type=card and authenticationOnly=true this field is not applied. 6. Field Type: boolean
authentication
object
The information used for User authentication with Card - Usage Instruction 1. EVO Cloud supports securePlus and threeDS authentication types
merchantTransInfo
object
Required
"This is the information for merchant to identify this Transaction - Usage Instruction For each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, CancelOrRefund, DataSubmission and Cryptogram and DeviceBinding, a new and unique merchantTranInfo shall be assigned for the transaction"
metadata
string<= 512 characters
This field is used for merchant to state reference information - Usage Instruction 1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response 2. Field Type: String(512)
networkTokenOnly
boolean
Indicates whether the current interface request requires a Network Token - Usage definition: 1. If true, EVO Cloud will provision and return a Network Token. 2. If not present, means default value = false
paymentMethod
object
Required
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant
returnURL
string<= 300 characters
This is the URL address provided by merchant. After completing the authentication or payment processing, the user is redirected back to the merchant site. This URL address specifies which merchant site page the user goes back to. - Usage Instruction 1. Required in POST PaymentMethod or POST Payment request message when 3DS authentication is being performed. 2. Required in POST PaymentMethod request message when performing the tokenization with Alipay. 3. Required in POST Payment request message when performing the payment with E-Wallets, points and onlineBanking including: 3.1 Alipay, Alipay+ and Jkopay on PC WEB 3.2 Alipay, Alipay+, Alipay HK, WeChat Pay and Jkopay on Mobile WAP 3.3 WeChat Pay in Official Account 3.4 SecurePay for UnionPay, TrueMoney Wallet, Rabbit LINE Pay, Pay with Points, Krungsri Online, Bualuang iBanking, Boost, MCash, ShopeePay, Touch 'N Go eWallet, Cards_KOR, Naver_Pay, Kakao_Pay and PAYCO, DANA, OVO, ShopeePay Indonesia, Akulaku, BNI VA, BRI VA, CIMB VA, Mandiri VA, Maybank VA, Permata VA, au, SoftBank, NTT Docomo, LINE Pay, Merpay, Paypay, Rakuten Pay, BC_Card, Kookmin_Bank_Card, Hana_Bank_Card, Samsung_Card, Shinhan_Bank_Card, Hyundai_Card, Lotte_Card or Nonghyup_Bank_Card on PC WEB, Mobile WAP and wallet APP. 3.5 K PLUS on Mobile WAP and wallet APP. 3.6 SCB Easy Net on wallet APP 4. Field Type: String(300) 4.1 When authentication.type=threeDSIntegrator or threeDSPage, the maximum is 75. 4.2 When Payment Brand is Alipay or AlipayHK, the maximum is 200. 5. The format of the webhook must contain http:// or htps://
storeInfo
object
Supplemental store information need to be provided by merchant - Usage definition: 1. To indicate MCC for this merchant when the store is assigned multiple MCCs in EVO Cloud
subMerchantInfo
object
Required
transAmount
object
This is used to define the amount for the transaction - Usage Instruction 1. Used in POST Payment request, to send the payment transaction amount 2. Used in POST Capture request, to send the capture amount 3. Used in POST Refund request, to send the refund transaction amount 4. Used within object payment, capture or refund in the response or notification from EVO Cloud, to specify the corresponding amount of the objects. 5. Used in POST PaymentMethod, to indicate currency for this transaction when the store is assigned multiple currencies in EVO Cloud. If the store is not assigned multiple currencies, this object will be ignored.
transInitiator
object
Required
Information of terminal to initiate the transaction - Usage instruction 1. Used in the request of PaymentMethod, Payment.
userInfo
object
Detailed information about the buyer - Usage Instruction 1. Used in POST Payment request and POST PaymentMethod request, to send the buyer's information. 2. Specify this parameter if you can obtain the information from the user. This helps EVO Cloud laundering and fraud detection, and increases payment success rates.
webhook
string<= 300 characters
This filed is used for merchant to provide asynchronous notification endpoint - Usage Instruction 1. Merchant may provide this information in the request message, once it is processed successfully, EVO Cloud will send notification to this endpoint 2. The format of the webhook must contain http:// or htps:// 3. Field Type: String(300)

Responses

Try it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/paymentMethod' \
 -H 'Authorization: string' \
 -H 'Content-type: application/json' \
 -H 'DateTime: string' \
 -H 'KeyID: string' \
 -H 'MsgID: string' \
 -H 'SignType: string' \
 -H 'Idempotency-Key: string' \
 -d '{
  "allowAuthentication": true,
  "authentication": {
    "merchantRiskIndicator": {},
    "threeDS": {
      "threeDSRequestorChallengeInd": "string"
    },
    "type": "string"
  },
  "merchantTransInfo": {
    "merchantOrderReference": "string",
    "merchantTransID": "string",
    "merchantTransTime": "string"
  },
  "metadata": "string",
  "networkTokenOnly": true,
  "paymentMethod": {
    "accountUpdateIndicator": "string",
    "buyNowPayLater": {
      "paymentBrand": "string",
      "vaultID": "string"
    },
    "card": {
      "cardInfo": {
        "cardNumber": "string",
        "cvc": "string",
        "expiryDate": "string",
        "holderName": "string"
      },
      "encryptedCardInfo": "string",
      "tokenValidDays": "string",
      "vaultID": "string"
    },
    "e-wallet": {
      "paymentBrand": "string",
      "planID": "string",
      "subOpenID": "string",
      "vaultID": "string"
    },
    "googlePay": {
      "encryptedData": "string",
      "paymentBrand": "string",
      "tokenValidDays": "string",
      "tokenize": true,
      "vaultID": "string"
    },
    "isFirstCITTxn": true,
    "recurringProcessingModel": "string",
    "type": "string"
  },
  "returnURL": "string",
  "storeInfo": {
    "mcc": "string"
  },
  "subMerchantInfo": {
    "descriptor": "string",
    "merchantID": "string"
  },
  "transAmount": {
    "currency": "string"
  },
  "transInitiator": {
    "browserInfo": {
      "acceptHeader": "string",
      "colorDepth": "string",
      "javaEnabled": true,
      "language": "string",
      "screenHeight": "string",
      "screenWidth": "string",
      "timeZoneOffset": "string",
      "userAgent": "string"
    },
    "deviceID": "string",
    "deviceType": "string",
    "osVersion": "string",
    "platform": "string",
    "userCreateIP": "string",
    "userRegion": "string"
  },
  "userInfo": {
    "accountInfo": {
      "accountAgeIndicator": "string",
      "accountChangeDate": "string",
      "accountChangeIndicator": "string",
      "accountCreationDate": "string",
      "addCardAttemptsDay": "string",
      "deliveryAddressUsageDate": "string",
      "deliveryAddressUsageIndicator": "string",
      "passwordChangeDate": "string",
      "passwordChangeDateIndicator": "string",
      "pastTransactionsDay": "string",
      "pastTransactionsYear": "string",
      "paymentAccountAge": "string",
      "paymentAccountIndicator": "string",
      "purchasesLast6Months": "string",
      "shippingNameIndicator": true,
      "suspiciousActivity": true
    },
    "billingAddress": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "country": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    },
    "deliveryAddress": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "country": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    },
    "email": "string",
    "homePhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    },
    "locale": "string",
    "mobilePhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    },
    "nameEn": {
      "familyName": "string",
      "givenName": "string"
    },
    "nameLocal": {
      "familyName": "string",
      "givenName": "string"
    },
    "nameZh": {
      "familyName": "string",
      "givenName": "string"
    },
    "reference": "string",
    "workPhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    }
  },
  "webhook": "string"
}'
JavaScript
const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/paymentMethod`,
{
  method: 'post',
  headers: {
  'Authorization': 'string',
  'Content-type': 'application/json',
  'DateTime': 'string',
  'KeyID': 'string',
  'MsgID': 'string',
  'SignType': 'string',
  'Idempotency-Key': 'string'
},
  body: '{
  "allowAuthentication": true,
  "authentication": {
    "merchantRiskIndicator": {},
    "threeDS": {
      "threeDSRequestorChallengeInd": "string"
    },
    "type": "string"
  },
  "merchantTransInfo": {
    "merchantOrderReference": "string",
    "merchantTransID": "string",
    "merchantTransTime": "string"
  },
  "metadata": "string",
  "networkTokenOnly": true,
  "paymentMethod": {
    "accountUpdateIndicator": "string",
    "buyNowPayLater": {
      "paymentBrand": "string",
      "vaultID": "string"
    },
    "card": {
      "cardInfo": {
        "cardNumber": "string",
        "cvc": "string",
        "expiryDate": "string",
        "holderName": "string"
      },
      "encryptedCardInfo": "string",
      "tokenValidDays": "string",
      "vaultID": "string"
    },
    "e-wallet": {
      "paymentBrand": "string",
      "planID": "string",
      "subOpenID": "string",
      "vaultID": "string"
    },
    "googlePay": {
      "encryptedData": "string",
      "paymentBrand": "string",
      "tokenValidDays": "string",
      "tokenize": true,
      "vaultID": "string"
    },
    "isFirstCITTxn": true,
    "recurringProcessingModel": "string",
    "type": "string"
  },
  "returnURL": "string",
  "storeInfo": {
    "mcc": "string"
  },
  "subMerchantInfo": {
    "descriptor": "string",
    "merchantID": "string"
  },
  "transAmount": {
    "currency": "string"
  },
  "transInitiator": {
    "browserInfo": {
      "acceptHeader": "string",
      "colorDepth": "string",
      "javaEnabled": true,
      "language": "string",
      "screenHeight": "string",
      "screenWidth": "string",
      "timeZoneOffset": "string",
      "userAgent": "string"
    },
    "deviceID": "string",
    "deviceType": "string",
    "osVersion": "string",
    "platform": "string",
    "userCreateIP": "string",
    "userRegion": "string"
  },
  "userInfo": {
    "accountInfo": {
      "accountAgeIndicator": "string",
      "accountChangeDate": "string",
      "accountChangeIndicator": "string",
      "accountCreationDate": "string",
      "addCardAttemptsDay": "string",
      "deliveryAddressUsageDate": "string",
      "deliveryAddressUsageIndicator": "string",
      "passwordChangeDate": "string",
      "passwordChangeDateIndicator": "string",
      "pastTransactionsDay": "string",
      "pastTransactionsYear": "string",
      "paymentAccountAge": "string",
      "paymentAccountIndicator": "string",
      "purchasesLast6Months": "string",
      "shippingNameIndicator": true,
      "suspiciousActivity": true
    },
    "billingAddress": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "country": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    },
    "deliveryAddress": {
      "addressLine1": "string",
      "addressLine2": "string",
      "addressLine3": "string",
      "city": "string",
      "country": "string",
      "postalCode": "string",
      "stateOrProvince": "string"
    },
    "email": "string",
    "homePhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    },
    "locale": "string",
    "mobilePhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    },
    "nameEn": {
      "familyName": "string",
      "givenName": "string"
    },
    "nameLocal": {
      "familyName": "string",
      "givenName": "string"
    },
    "nameZh": {
      "familyName": "string",
      "givenName": "string"
    },
    "reference": "string",
    "workPhone": {
      "countryCode": "string",
      "subscriberSections": "string"
    }
  },
  "webhook": "string"
}'
})
  .then(response => response.json())
  .then(data => console.log(data));
Response Samples
application/json
json